Bug 137430 - [patch] audio/xmms2: update to 0.6
Summary: [patch] audio/xmms2: update to 0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-04 16:30 UTC by swell.k
Modified: 2009-08-19 13:01 UTC (History)
0 users

See Also:


Attachments
xmms2.diff (33.29 KB, patch)
2009-08-04 16:30 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2009-08-04 16:30:01 UTC
- update to 0.6
- bump client lib version in slave ports
- sort options, plist and reformat Makefile a little so it fits to 80 columns
- while sorting replace all defined(WITH_*) -> !defined(WITHOUT_*)
  so that all options look same
- don't force libmad and libvorbis on users and move them to OPTIONS
- remove no longer supported LASTFM option
- add options: AIRPLAY, MPG123, WAVPACK
- remove options: DAAP, GME, KARAOKE; they don't depend on specific ports
- rename SDL to VISUAL and connect it to OPTIONS
Comment 1 swell.k 2009-08-04 17:08:07 UTC
The second hunk in ${PATCHDIR}/patch-wscript is broken because of
missing space before '-m'.

Compilation and installation finished successfully (00:00:00)
/sbin/ldconfig-m: not found
===>   Running ldconfig
/sbin/ldconfig -m /usr/local/lib
===>   Registering installation for xmms2-0.6

Besides, there is no need to make waf run ldconfig when USE_LDCONFIG
already does so. So it's better to remove that block.

--- patch-wscript begins here ---
--- wscript~
+++ wscript
@@ -297,7 +297,7 @@ def configure(conf):
         conf.env['PKGCONFIGDIR'] = Options.options.pkgconfigdir
         print(conf.env['PKGCONFIGDIR'])
     else:
-        conf.env['PKGCONFIGDIR'] = os.path.join(conf.env["PREFIX"], "lib", "pkgconfig")
+        conf.env['PKGCONFIGDIR'] = os.path.join(conf.env["PREFIX"], "libdata", "pkgconfig")
 
     if Options.options.config_prefix:
         for dir in Options.options.config_prefix:
@@ -476,12 +476,5 @@ def set_options(opt):
         opt.sub_options(o)
 
 def shutdown():
-    if Options.commands['install'] and os.geteuid() == 0:
-        ldconfig = '/sbin/ldconfig'
-        if os.path.isfile(ldconfig):
-            libprefix = Utils.subst_vars('${PREFIX}/lib', Build.bld.env)
-            try: Utils.cmd_output(ldconfig + ' ' + libprefix)
-            except: pass
-
     if Options.options.run_tests:
         os.system(os.path.join(os.getenv('WAF_HOME'), "default/tests/test_xmmstypes"))
--- patch-wscript ends here ---
Comment 2 Martin Wilke freebsd_committer 2009-08-04 18:15:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2009-08-05 17:24:40 UTC
State Changed
From-To: open->feedback


Hi, 

Patch rejected: 

|--- audio/xmms2/Makefile       2 Aug 2009 08:01:59 -0000       1.45 
|+++ audio/xmms2/Makefile       4 Aug 2009 14:48:10 -0000 
-------------------------- Patching file audio/xmms2/Makefile using Plan 
A...  Hunk #1 failed at 6.  Hunk #2 succeeded at 22.  Hunk #3 succeeded 
at 128.  Hunk #4 succeeded at 144.  Hunk #5 succeeded at 185.  Hunk #6 
succeeded at 313.  1 out of 6 hunks failed--saving rejects to 
audio/xmms2/Makefile.rej Hmm...  The next patch looks like a unified 
diff to me...  The text leading up to this was: 
-------------------------- 

could you only xmms2/ repatch resent to me ? 

Thx
Comment 4 dfilter service freebsd_committer 2009-08-19 12:56:02 UTC
miwi        2009-08-19 11:55:54 UTC

  FreeBSD ports repository

  Modified files:
    audio/xmms2          Makefile distinfo pkg-plist 
  Added files:
    audio/xmms2/files    extra-patch-src-clients-vistest-wscript 
                         patch-src-plugins-airplay-wscript 
                         patch-wscript 
  Removed files:
    audio/xmms2/files    patch-src_include_xmms_wscript 
  Log:
  - Update to 0.6.0
  
  PR:             137430
  Submitted by:   Anonymous <swell.k@gmail.com>
  
  Revision  Changes    Path
  1.46      +206 -196  ports/audio/xmms2/Makefile
  1.12      +3 -3      ports/audio/xmms2/distinfo
  1.1       +25 -0     ports/audio/xmms2/files/extra-patch-src-clients-vistest-wscript (new)
  1.1       +15 -0     ports/audio/xmms2/files/patch-src-plugins-airplay-wscript (new)
  1.3       +0 -11     ports/audio/xmms2/files/patch-src_include_xmms_wscript (dead)
  1.1       +24 -0     ports/audio/xmms2/files/patch-wscript (new)
  1.19      +126 -115  ports/audio/xmms2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2009-08-19 13:01:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!